CREATE TABLE IF NOT EXISTS `statexplorer`.`objectsname` (
  `id` VARCHAR(190) NOT NULL,
  `type` ENUM('extension', 'did', 'ivr', 'queue', 'accountcode', 'trunk') NOT NULL,
  `name` TEXT NOT NULL,
  PRIMARY KEY (`id`, `type`));

SET @dbname = "statexplorer";
SET @tablename = "autoexport";
SET @columnname = "filepath";
SET @type = "VARCHAR(255) NOT NULL DEFAULT ''";
SET @after = "body";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 1 FROM DUAL WHERE false",
  CONCAT("ALTER TABLE ",@dbname,".", @tablename, " ADD ", @columnname, " ", @type, " AFTER ", @after, ";")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;

TRUNCATE TABLE `statexplorer`.`objectsname`;

ALTER TABLE `statexplorer`.`autoexport` 
ADD COLUMN `id` INT NOT NULL AUTO_INCREMENT FIRST,
DROP PRIMARY KEY,
ADD PRIMARY KEY (`id`);


ALTER TABLE `statexplorer`.`debugdata` 
ADD INDEX `idebugdata` (`date` ASC);

ALTER TABLE `statexplorer`.`queueoccupation` 
ADD INDEX `iqueueocc` (`queue` ASC, `time` ASC) ;

ALTER TABLE `statexplorer`.`calls` 
ADD INDEX `index_tag` (`tag` ASC);